<?php
  $ruta="../../../";
  include_once($ruta."class/dominio.php");
  $dominio=new dominio;
  include_once($ruta."class/vadmejecutivo.php");
  $vadmejecutivo=new vadmejecutivo;
  include_once($ruta."class/chofer.php");
  $chofer=new chofer;
  include_once($ruta."class/transporte.php");
  $transporte=new transporte;
  include_once($ruta."class/placarfidasig.php");
  $placarfidasig=new placarfidasig;
  include_once($ruta."class/placarfid.php");
  $placarfid=new placarfid;
  include_once($ruta."class/cobromanual.php");
  $cobromanual=new cobromanual;
  include_once($ruta."funciones/funciones.php");
  session_start(); 
  extract($_GET);
   $fechaHoy=date('Y-m-d');  

?>
<!DOCTYPE html>
<html lang="es">
<head>
    <?php
      $hd_titulo="INGRESO DE PASAJES MANUALES";
      include_once($ruta."includes/head_basico.php");
      include_once($ruta."includes/head_tabla.php");
      include_once($ruta."includes/head_tablax.php");
    ?>
</head>
<body>
    <?php
      include_once($ruta."head.php");
    ?>
    <div id="main">
      <div class="wrapper">
        <?php
          $idmenu=1109;
          include_once($ruta."aside.php");

          $vdeje=$vadmejecutivo->mostrarUltimo("idpersona=".$datouser['idpersona']);
          $cho=$chofer->mostrarUltimo("idadmejecutivo=".$vdeje['idvadmejecutivo']);
          $idadmejecutivo=$vdeje['idvadmejecutivo'];

          $plaasi=$placarfidasig->mostrarUltimo("idchofer=".$cho['idchofer']." and estado=1");
          $pla=$placarfid->muestra($plaasi['idplacarfid']);
   
        ?>
        <section id="content">
          <!--breadcrumbs start-->
          <div id="breadcrumbs-wrapper">
            <div class="container">
              <div class="row">
                <div class="col s12 m12 l12" style="background: white; text-align: center; color:#021e65; font-size: 25px; border-radius: 5px; border: #CBCBCB 1px solid;">
               <b> <?php echo $hd_titulo; ?></b><br>
                <div class="col s12 m12 l12" style="text-align: center; color:#021e65; font-size: 15px;">
                  Conductor: <b><?php echo $vdeje['nombre'].' '.$vdeje['paterno'].' '.$vdeje['materno'] ?></b>
                  </div>
              </div>
              </div>
              
            </div>
          </div>
  <div class="container">
    <div class="section">
      <div class="row" >
        <div class="col s12 m4 l3">&nbsp;</div> 
        <div class="col s12 m8 l6">
              <div class="row" style="font-size: 18px; border-radius: 5px; border:#CBCBCB 1px solid; color:#021e65;">
                <form class="col s12" id="idform" action="return false" onsubmit="return false" method="POST">
                   <input id="idchofer" name="idchofer" value="<?php echo $cho['idchofer'] ?>" type="hidden">
                       
                        <div class="input-field col s12 m6 l6">
                          <input id="idmonto" name="idmonto" type="text" class="validate">
                          <label for="idmonto">Monto ingreso:</label>
                        </div>
                        <div class="input-field col s12 m6 l6">
                          <input id="iddispositivo" name="iddispositivo" readonly type="text" value="<?php echo $pla['codigoplaca'] ?>" class="validate">
                          <label for="iddispositivo">Dispositivo:</label>
                        </div>
                         <div class="input-field col s12 m12 l12" align="right">
                          <a id="btnSave" class="btn-jh waves-effect waves-light darken-4 cyan"><i class="fa fa-save"></i> Registrar</a>
                        </div> 
                      </form>                     
               </div>

        </div>
        <div class="col s12 m4 l3">&nbsp;</div> 
      </div>
    </div>
  </div>      
     
          <div class="container">
            <div class="section">
              <div class="row" >               
              <div class="col s12 m12 l12" style="border-radius: 5px; border: 1px solid #E8E8E8; background: white;">
                
                <div class="col s12 m12 l12" style="border-radius: 5px; border: 1px solid #E8E8E8; background: #021e65; color: white; text-align: center; font-size: 15px; font-weight: bold;">HISTORIAL INGRESOS
                  </div>
                  <p style="color: green">Lista de ingresos</p> 
                      
                <table id="example2" class="display" cellspacing="0" width="100%">
                  <thead>
                    <tr>
                      <th>Nro.</th>
                      <th>Monto</th> 
                      <th>Descipcion</th>
                    </tr>
                  </thead>
                  <tfoot>
                    <tr>
                      <th></th>
                      <th></th> 
                      <th></th>
                    </tr>
                  </tfoot>
                  <tbody>
                    <?php
                    $contar=0;
                     foreach($cobromanual->mostrarTodo("idchofer=".$cho['idchofer']) as $f)
                    {                  
                      //$lblcode=ecUrl($f['id']);
                      $contar++;
                      switch ($f['estado']) {
                        case '1':
                          $estilo='background:#E0FBE2;';
                          break;
                        
                        case '0':
                          $estilo='';
                          break;
                      }
                    ?>
                    <tr style="<?php echo $estilo ?>">
                      <td><?php echo $contar ?></td>
                      <td><?php echo number_format($f['monto'], 2, '.', '') ?></td>
                       <td><?php echo $f['descripcion'] ?></td>
                    </tr>
                    <?php
                      }
                    ?>
                  </tbody>
                </table>
              </div>
              </div>
            </div>     
            </div>
       
        </section>
      </div>
    </div>
    <div id="idresultado"></div>
    <!-- end -->
    <!-- jQuery Library -->
    <?php
      include_once($ruta."includes/script_basico.php");
      include_once($ruta."includes/script_tabla.php");
      include_once($ruta."includes/script_tablax.php");
    ?>
    <script type="text/javascript">
    $(document).ready(function() {
      $('#example').DataTable( {
        dom: 'Bfrtip',
        buttons: [
            'copy', 'csv', 'excel', 'pdf', 'print'
        ]
      });
        $('#example1').DataTable( {
        dom: 'Bfrtip',
        buttons: [
            'copy', 'csv', 'excel', 'pdf', 'print'
        ]
      });
          $('#example2').DataTable( {
        dom: 'Bfrtip',
        "order": [[ 0, "desc" ]],
        buttons: [
            'excel', 'pdf'
        ]
      });
      $('#example3').DataTable( {
        dom: 'Bfrtip',
        "order": [[ 0, "desc" ]],
        buttons: [
            'copy', 'csv', 'excel', 'pdf', 'print'
        ]
      });   
    });
      $("#btnSave").click(function(){
        $('#btnSave').attr("disabled",true);
        if (validar()) 
        {          
                swal({
                  title: "¿Esta seguro?",
                  text: "Se registrara nuevo ingreso",
                  type: "warning",
                  showCancelButton: true,
                  confirmButtonColor: "#2c2a6c",
                  confirmButtonText: "Registrar",
                   closeOnConfirm: false,
                    showLoaderOnConfirm: true
                }, function () {
                  var str = $( "#idform" ).serialize();
                  $.ajax({
                    url: "guardar.php",
                    type: "POST",
                    data: str,
                    success: function(resp){
                      setTimeout(function(){     
                          console.log(resp);
                          $('#idresultado').html(resp);   
                        }, 1000);
                    }
                  }); 
                });
        }else{
          swal("ERROR","Verifique el monto y Dispositivo asignado","error");
        }
      });
function validar(){
        retorno=true;
        dis=$('#iddispositivo').val();
        mon=$('#idmonto').val();
        if(dis=="" || mon<="0"){
          retorno=false;
        }
        return retorno;
      }
    function limpiar()
      {
          document.getElementById("idform").reset();
      }


    </script>
</body>

</html>